### Visual Tracking by means of Deep Reinforcement Learning and an Expert Demonstrator
Matteo Dunnhofer, Niki Martinel, Christian Micheloni

Machine Learning and Perception Lab  
Department of Mathematics, Computer Science and Physics  
University of Udine  
Udine, Italy

##### Requirements
OS: Ubuntu 18.04  
Python 3.7.1 and the following Python packages
```buildoutcfg
os
sys
time
copy
collections
PIL
math
numpy
torch
torchvision
cv2
```

##### Hardware specifications
CPU Intel Xeon E5-2690 v4 @ 2.60GHz  
GPU NVIDIA Titan V  
320 GB of RAM

#### VOT 2019 Testing
Before running, pre-trained weights for our and the expert 
must be downloaded from [here](https://drive.google.com/drive/folders/1Njn7CejAsf4nX4CP_921W7xT0X6GcM5G?usp=sharing) and then put in the folder ``vot-2019-submission-a3cdt/ckpt/``  

Then edit the variable ``BASE_PATH`` in file ``config.py`` by providing the full-path to the current folder,
and do the same in the file ``tracker_A3CTD.m`` by substituting
 + the path ``[full-path-to-vot-2019-submission-a3ctd]`` with the full-path to the current folder
 + the paths ``[full-path-to-trax]`` with the full-paths to the Trax folder

Finally, the file ``tracker_A3CTD.m`` can be put in the VOT 2019 workspace generated by the vot-toolkit  
(the workspace folder must be put inside the ``vot-2019-submission-a3cdt`` folder)

#### If you fail to run our tracker please write to ``dunnhofer.matteo@spes.uniud.it``
