"""
Written by Matteo Dunnhofer - 2019

Data transformer class
"""
from torchvision import transforms
import utils as ut

class DataTransformer(object):
	"""
	Defines an object that is responsible to transform the
	example images

	img: numpy array
	"""
	
	def __init__(self, cfg):
		self.cfg = cfg

	def preprocess_img(self, img, crop_bb):
		"""
		Args:
			img: a PIL image

		Returns:
			a processed image tensor
		"""
		crop = ut.xywh2xyxy(crop_bb)
		img = img.crop(crop)

		img = transforms.Resize((self.cfg.SIZE[0], self.cfg.SIZE[1]))(img)
		img = transforms.ToTensor()(img)
		img = transforms.Normalize(mean=[0.485, 0.456, 0.406], std=[0.229, 0.224, 0.225])(img)

		return img
