#!/usr/bin/python
import vot
from vot import Rectangle
import sys
import numpy as np
from PIL import Image
from A3CT import A3CTD

# setup tracker
tracker = A3CTD()

handle = vot.VOT("rectangle")
selection = handle.region()

# Process the first frame
imagefile = handle.frame()
if not imagefile:
    sys.exit(0)

image = Image.open(imagefile)
bbox = np.array([selection.x, selection.y, selection.width, selection.height])

tracker.init(image, bbox)

while True:
    imagefile = handle.frame()
    if not imagefile:
        break

    image = Image.open(imagefile)

    bbox = tracker.update(image)

    selection = Rectangle(bbox[0], bbox[1], bbox[2], bbox[3])
    confidence = 1.0

    handle.report(selection, confidence)
